[lsb-discuss] Different behaviour between 4.0 release and 4.0 from 4.1 beta

Wichmann, Mats D mats.d.wichmann at intel.com
Sun Jan 2 05:30:18 PST 2011


lsb-discuss-bounces at lists.linux-foundation.org wrote:
> I was able to successfully build Qt 4.7.1 using the LSB 4.0
> compilers as obtained from the linux foundation LSB 4.0 yum
> repository. I thought I'd check the more recent packages that
> are available in the 4.1 beta, so I moved to the 4.1 yum
> repository and set my LSBCC_LSBVERSION environment variable to
> 4.0. In theory, this should also have worked fine, but I'm
> seeing some differences. Specifically, the compiler error
> (shown at the end of this email) indicates that the Xlib.h
> library is now being pulled in where is wasn't before. Qt
> detects this because it needs to surround the inclusion of the
> Xlib.h header with some preprocessor defines. The end result
> is a failed build with the LSB 4.1 beta.
> 
> Is anyone aware of changes to headers which would result in
> Xlib.h being pulled in now with the 4.1 beta packages where it
> would not have been pulled in with the 4.0 packages?

Not specifically, but there have been some changes (relatively
small it looks like).

This sounds like a bug of some sort.


More information about the lsb-discuss mailing list